Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-ca.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-ca.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-ca.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   Catalan initialisation for the jQuery keypad extension
+   Written by Ignasi Nogues (inogues@clickartedu.com). */
+(function($) { // hide the namespace
+	$.keypad.regional['ca'] = {
+		buttonText: '...', buttonStatus: 'Obrir el teclat',
+		closeText: 'Tancar', closeStatus: 'Tancar el teclat',
+		clearText: 'Netejar', clearStatus: 'Eliminar tot el text',
+		backText: 'Tornar', backStatus: 'Borrar el caràcter anterior',
+		shiftText: 'Shift', shiftStatus: 'Canviar majúscules/minúscules',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Entrar', enterStatus: '',
+		tabText: '→', tabStatus: '',
+		alphabeticLayout: $.keypad.qwertyAlphabetic,
+		fullLayout: $.keypad.qwertyLayout,
+		isAlphabetic: $.keypad.isAlphabetic,
+		isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+		isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['ca']);
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-pt-BR.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-pt-BR.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-pt-BR.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   brazilian portuguese initialisation for the jQuery keypad extension
+   Written by Israel Rodriguez (yzraeu{at}gmail.com) July 2009. */
+(function($) { // hide the namespace
+    $.keypad.regional['pt-BR'] = {
+        buttonText: '...', buttonStatus: 'Abrir o teclado',
+        closeText: 'Fechar', closeStatus: 'Fechar o teclado',
+        clearText: 'Limpar', clearStatus: 'Limpar todo o texto',
+        backText: 'Apagar', backStatus: 'Apagar o caractere anterior',
+        shiftText: 'Shift', shiftStatus: 'Ativar maiúsculas/minusculas',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+        alphabeticLayout: $.keypad.qwertyAlphabetic,
+        fullLayout: $.keypad.qwertyLayout,
+        isAlphabetic: $.keypad.isAlphabetic,
+        isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+        isRTL: false};
+    $.keypad.setDefaults($.keypad.regional['pt-BR']);
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-cs.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-cs.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-cs.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   Czech initialisation for the jQuery keypad extension
+   Written by Amadeo Mareš. */
+(function($) { // hide the namespace
+    $.keypad.regional['cs'] = {
+        buttonText: '...', buttonStatus: 'Otevřít',
+        closeText: 'Zavřít', closeStatus: 'Zavře klávesnici',
+        clearText: 'Vymazat', clearStatus: 'Smaže text',
+        backText: 'Smazat', backStatus: 'Smaže poslední písmeno',
+        shiftText: 'Velikost', shiftStatus: 'Nastaví velká/malá písmena',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+        alphabeticLayout: $.keypad.qwertyAlphabetic,
+        fullLayout: $.keypad.qwertyLayout,
+        isAlphabetic: $.keypad.isAlphabetic,
+        isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+        isRTL: false};
+    $.keypad.setDefaults($.keypad.regional['cs']);
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-tr.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-tr.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-tr.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   Turkish localisation for the jQuery keypad extension
+   Written by Yücel Kandemir(yucel{at}21bilisim.com) September 2010. */
+(function($) { // hide the namespace
+	$.keypad.regional['tr'] = {
+		buttonText: '...', buttonStatus: 'Aç',
+		closeText: 'Kapat', closeStatus: 'Klavyeyi Kapatýr',
+		clearText: 'Sil', clearStatus: 'Ýçerisini Temizler',
+		backText: 'Geri Al', backStatus: 'Son Karakteri Siler.',
+		shiftText: 'Büyüt', shiftStatus: 'Büyük Harfle Yazmak Ýçin Seçiniz.',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+    	alphabeticLayout: $.keypad.qwertyAlphabetic,
+	    fullLayout: $.keypad.qwertyLayout,
+    	isAlphabetic: $.keypad.isAlphabetic,
+	    isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+    	isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['tr']);
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-es.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-es.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-es.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   Spanish initialisation for the jQuery keypad extension
+   Written by Cristhian Benitez (cbenitez@gmail.com). */
+(function($) { // hide the namespace
+	$.keypad.regional['es'] = {
+		buttonText: '...', buttonStatus: 'Abrir el teclado',
+		closeText: 'Cerrar', closeStatus: 'Cerrar el teclado',
+		clearText: 'Limpiar', clearStatus: 'Eliminar todo el texto',
+		backText: 'Volver', backStatus: 'Borrar el caracter anterior',
+		shiftText: 'Shift', shiftStatus: 'Cambiar mayusculas/minusculas',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+		alphabeticLayout: $.keypad.qwertyAlphabetic,
+		fullLayout: $.keypad.qwertyLayout,
+		isAlphabetic: $.keypad.isAlphabetic,
+		isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+		isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['es']);
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-fr.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-fr.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-fr.js	(revision 8232)
@@ -0,0 +1,37 @@
+﻿/* http://keith-wood.name/keypad.html
+   French initialisation for the jQuery keypad extension
+   Written by Keith Wood (kbwood{at}iinet.com.au) August 2008. */
+(function($) { // hide the namespace
+
+	$.keypad.azertyAlphabetic = ['àâçéèêîôùû', 'azertyuiop', 'qsdfghjklm', 'wxcvbn'];
+	$.keypad.azertyLayout = ['&~#{([_@])}' + $.keypad.HALF_SPACE + '£$€',
+		'<>|`°^!?\'"\\' + $.keypad.HALF_SPACE + '/*=',
+		$.keypad.HALF_SPACE + $.keypad.azertyAlphabetic[0] + $.keypad.SPACE + '789',
+		$.keypad.azertyAlphabetic[1] + '%' + $.keypad.HALF_SPACE + '456',
+		$.keypad.HALF_SPACE + $.keypad.azertyAlphabetic[2] + $.keypad.SPACE + '123',
+		'§' + $.keypad.azertyAlphabetic[3] + ',.;:' + $.keypad.HALF_SPACE + '-0+',
+		$.keypad.SHIFT + $.keypad.SPACE_BAR + $.keypad.HALF_SPACE +
+		$.keypad.BACK + $.keypad.CLEAR + $.keypad.CLOSE];
+	$.keypad.regional['fr'] = {
+		buttonText: '...', buttonStatus: 'Ouvrir',
+		closeText: 'Fermer', closeStatus: 'Fermer le pavé numérique',
+		clearText: 'Effacer', clearStatus: 'Effacer la valeur',
+		backText: 'Défaire', backStatus: 'Effacer la dernière touche',
+		shiftText: 'Maj', shiftStatus: '',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+		alphabeticLayout: $.keypad.azertyAlphabetic,
+		fullLayout: $.keypad.azertyLayout,
+		isAlphabetic: $.keypad.isAlphabetic,
+		isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+		isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['fr']);
+
+	function isAlphabetic(ch) {
+		return ($.keypad.isAlphabetic(ch) ||
+			'áàäãâçéèëêíìïîóòöõôúùüû'.indexOf(ch) > -1);
+	}
+
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-de.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-de.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-de.js	(revision 8232)
@@ -0,0 +1,36 @@
+﻿/* http://keith-wood.name/keypad.html
+   German localisation for the jQuery keypad extension
+   Written by Uwe Jakobs(u.jakobs{at}imageco.de) September 2009. */
+(function($) { // hide the namespace
+
+	$.keypad.qwertzAlphabetic = ['qwertzuiopüß', 'asdfghjklöä', 'yxcvbnm'];
+	$.keypad.qwertzLayout = 
+		['!"§$%&/()=?`' + $.keypad.BACK + $.keypad.HALF_SPACE + '$£€/',
+		'<>°^@{[]}\\~´;:' + $.keypad.HALF_SPACE + '789*',
+		$.keypad.qwertzAlphabetic[0] + '+*' +
+		$.keypad.HALF_SPACE + '456-',
+		$.keypad.HALF_SPACE + $.keypad.qwertzAlphabetic[1] +
+		'#\'' + $.keypad.SPACE + '123+',
+		'|' + $.keypad.qwertzAlphabetic[2] + 'µ,.-_' +
+		$.keypad.SPACE + $.keypad.HALF_SPACE +'.0,=', 
+		$.keypad.SHIFT + $.keypad.SPACE + $.keypad.SPACE_BAR +
+		$.keypad.SPACE + $.keypad.SPACE + $.keypad.SPACE + $.keypad.CLEAR +
+		$.keypad.SPACE + $.keypad.SPACE + $.keypad.HALF_SPACE + $.keypad.CLOSE];
+	$.keypad.regional['de'] = {
+		buttonText: '...', buttonStatus: 'Öffnen',
+		closeText: 'schließen', closeStatus: 'schließen',
+		clearText: 'löschen', clearStatus: 'Gesamten Inhalt löschen',
+		backText: 'zurück', backStatus: 'Letzte Eingabe löschen',
+		shiftText: 'umschalten', shiftStatus: 'Zwischen Groß- und Kleinschreibung wechseln',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+		alphabeticLayout: $.keypad.qwertzAlphabetic,
+		fullLayout: $.keypad.qwertzLayout,
+		isAlphabetic: $.keypad.isAlphabetic,
+		isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+		isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['de']);
+
+})(jQuery);
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-nl.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-nl.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-nl.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   dutch initialisation for the jQuery keypad extension
+   Written by Michiel Mussies (mail{at}webcrafts.nl) November 2009. */
+(function($) { // hide the namespace
+    $.keypad.regional['nl'] = {
+        buttonText: '...', buttonStatus: 'Open',
+        closeText: 'Sluit', closeStatus: 'Sluit',
+        clearText: 'Wissen', clearStatus: 'Wis alle tekens',
+        backText: 'Terug', backStatus: 'Wis laatste teken',
+        shiftText: 'Shift', shiftStatus: 'Activeer hoofd-/kleine letters',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: '',
+		tabText: '→', tabStatus: '',
+        alphabeticLayout: $.keypad.qwertyAlphabetic,
+        fullLayout: $.keypad.qwertyLayout,
+        isAlphabetic: $.keypad.isAlphabetic,
+        isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+        isRTL: false};
+    $.keypad.setDefaults($.keypad.regional['nl']);
+})(jQuery);
